Bug 831525 - Mouse pointer freeze on Dell mini when buried mouse button is pressed, preventing grab and drag action
Mouse pointer freeze on Dell mini when buried mouse button is pressed, preven...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
17
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 04:46 EDT by windchine
Modified: 2013-07-31 20:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:17:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description windchine 2012-06-13 04:46:39 EDT
Hardware:     Dell mini inspiron 1012
Symptom:      Touch pad grab and drag does not move mouse pointer
Reproduce:    Grab a window title bar and try to move it using touch pad
Installation: Updated Fedora 17 upgraded from Fedora 16 using "preupgrade"

Description:

Dell Inspiron Mini 1012 touchpad freezes when 2 fingers are used, one to move the mouse pointer and the other to press the mouse button buried under the bottom left corner of the touch pad. As soon as a second finger touches the touchpad the mouse pointer freezes on the screen as if Gnome3 has gone into 2 finger scrolling mode. This is the case both when the 2 fingers are in the middle of the touchpad and also when one is in the middle and the other in the bottom corner pressing the integrated mouse button.

"synclient -m 1" shows the primary finger position is still being tracked correctly while the button is being pressed and that the finger count has gone up to 2.

The only activity that this prevents is the "grab and drag" action as moving the primary finger no longer moves the now locked mouse pointer. If I press the integrated mouse button with a plastic stylus the touchpad does not see the 2nd finger I am able to "grab and drag" normally. This function also works correctly using an external mouse.

This behaviour is new in Fedora 17. My fully updated Fedora 16 did not suffer from this problem.

Note that I do not have 2 finger scrolling enabled. I have also tried changing the touchpad AreaBottomEdge setting to disable mouse activity at the bottom edge of the touchpad, and while this does stop mouse pointer movement when the finger is down in the bottom region it does not prevent 2 finger detection and the mouse pointer remains frozen during "grab and drag".

I am aware that the 50-synaptics.conf file has a section specifically dealing with Dell mini touchpad issues, however I think something additional is required to deal with this situation. One possible work around would be to prevent a finger count from the driver exceeding 1 from reaching X / Gnome3. This would break 2 finger scrolling but allow grab and drag.

I assume the problem is with how X / Gnome3 is using the information from the synaptics driver rather than with the driver itself as the synclient test above showed status consistent with my actions. It may be that the synaptics driver has been updated and now handles 2 finger mode with the Dell where it did not before.

Initially I thought this was related to bug 805558 but now believed not to be.
Comment 1 windchine 2012-06-13 05:39:32 EDT
Symptoms (inability to grab and drag windows) are also present when booting from Fedora 17 LiveUSB stick.
Comment 2 Fedora End Of Life 2013-07-03 18:23:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:17:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.